Decline or close prompt.
curl --request POST \
--url https://{host}/prompt/core/v1/interaction/{id}/decline \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json-patch+json' \
--data '{}'import requests
url = "https://{host}/prompt/core/v1/interaction/{id}/decline"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json-patch+json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json-patch+json'},
body: JSON.stringify({})
};
fetch('https://{host}/prompt/core/v1/interaction/{id}/decline', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"instance": "<string>"
}Decline or close prompt.
Declines or Closes the specified prompt on behalf of a member.
POST
/
core
/
v1
/
interaction
/
{id}
/
decline
Decline or close prompt.
Authorizations
Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"
Path Parameters
Unique identifier of the prompt to decline.
Query Parameters
Unique identifier of the member performing the action.
Body
application/json-patch+jsonapplication/jsontext/jsonapplication/*+json
Optional request body containing action type: Dismiss or Close.
Available options:
Dismiss, Close Response
Success
The URL to which the user should be redirected after completing the prompt interaction.
Last modified on August 10, 2026
⌘I